Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util
Class SpiUtils

    java.lang.Object
      org.mule.util.SpiUtils

    public class SpiUtils

extends Object

Field Summary
`static String` | `SERVICE_ROOT`

Constructor Summary
`SpiUtils()`

Method Summary
`static Properties` | `findServiceDescriptor(ServiceType type, String name)`
`static Properties` | `findServiceDescriptor(String path, String name, Class currentClass)`
`static Properties` | `findServiceDescriptor(String path, String name, Class currentClass, boolean fallbackToNonPreferred)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_ROOT

    public static final String SERVICE_ROOT

See Also:
  Constant Field Values

Constructor Detail

### SpiUtils

    public SpiUtils()

Method Detail

### findServiceDescriptor

    public static Properties findServiceDescriptor(ServiceType type,
                                                   String name)

### findServiceDescriptor

    public static Properties findServiceDescriptor(String path,
                                                   String name,
                                                   Class currentClass)

### findServiceDescriptor

    public static Properties findServiceDescriptor(String path,
                                                   String name,
                                                   Class currentClass,
                                                   boolean fallbackToNonPreferred)

  Parameters:
    `fallbackToNonPreferred` - whether the search should attempt the preferred-xxx.properties lookup

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.